/*
 * To change this template, choose Tools | Templates
 * and open the template in the editor.
 */

package cz.karry.dop.nbmodule.files.sidebar;

import java.awt.Color;
import java.awt.Graphics;
import java.awt.Rectangle;
import javax.swing.JComponent;
import javax.swing.text.JTextComponent;
import org.openide.nodes.Node;

/**
 *
 * @author karry
 */
public class SideBar extends org.netbeans.editor.CodeFoldingSideBar implements Node.Cookie{

    public SideBar(JTextComponent target) {
        super(target);
        /*
        System.out.println("rarget (class): "+target.getClass().getName());
        System.out.println("rarget parent (class): "+target.getParent().getClass().getName());
        
        System.out.println("target.getCaret().toString() : "+target.getCaret().toString());
         */
        
        
    }
    

    @Override
    protected void paintComponent(Graphics g) {
        Rectangle clip = getVisibleRect();
        g.setColor(new Color(0x80,0x80,0x80));
        g.fillRect(clip.x, clip.y, clip.width, clip.height);
    }    

}
